Package org.apache.tiles.core.definition.pattern

# Class BasicPatternDefinitionResolver<T>

java.lang.Object
org.apache.tiles.core.definition.pattern.AbstractPatternDefinitionResolver<T>
org.apache.tiles.core.definition.pattern.BasicPatternDefinitionResolver<T>

Type Parameters:
  `T` - The type of the customization key.

All Implemented Interfaces:
  `PatternDefinitionResolver<T>`

public class BasicPatternDefinitionResolver<T> extends AbstractPatternDefinitionResolver<T>
A pattern definition resolver that stores `DefinitionPatternMatcher` separated by customization key.
It delegates creation of definition pattern matchers to a `DefinitionPatternMatcherFactory` and recgnizes patterns through the use of a `PatternRecognizer`.

Since:
  2.2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicPatternDefinitionResolver(DefinitionPatternMatcherFactory definitionPatternMatcherFactory, PatternRecognizer patternRecognizer)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Map<String,Definition>`
  `addDefinitionsAsPatternMatchers(List<DefinitionPatternMatcher> matchers, Map<String,Definition> defsMap)`
  Adds definitions, filtering and adding them to the list of definition pattern matchers.

  ### Methods inherited from class org.apache.tiles.core.definition.pattern.AbstractPatternDefinitionResolver

  `clearPatternPaths, resolveDefinition, storeDefinitionPatterns`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicPatternDefinitionResolver

    public BasicPatternDefinitionResolver(DefinitionPatternMatcherFactory definitionPatternMatcherFactory, PatternRecognizer patternRecognizer)
    Constructor.
    Parameters:
      `definitionPatternMatcherFactory` - The definition pattern matcher factory.
      `patternRecognizer` - The pattern recognizer.

- ## Method Details

  - ### addDefinitionsAsPatternMatchers

    protected Map<String,Definition> addDefinitionsAsPatternMatchers(List<DefinitionPatternMatcher> matchers, Map<String,Definition> defsMap)
    Adds definitions, filtering and adding them to the list of definition pattern matchers. Only a subset of definitions will be transformed into definition pattern matchers.
    Specified by:
      `addDefinitionsAsPatternMatchers` in class `AbstractPatternDefinitionResolver<T>`
    Parameters:
      `matchers` - The list containing the currently stored definition pattern matchers.
      `defsMap` - The definition map to parse.
    Returns:
      The map of the definitions not recognized as containing definition patterns.